require 'json'
pjson = JSON.parse(File.read('package.json'))

Pod::Spec.new do |s|

  s.name            = "qianmi-rnapp-updater"
  s.version         = pjson["version"]
  s.homepage        = "http://git.dev.qianmi.com/retail/qianmi-rnapp-updater/blob/master/README.md"
  s.summary         = pjson["description"]
  s.license         = pjson["license"]
  s.author          = pjson["author"]

  s.ios.deployment_target = '9.0'

  s.source          = { :git => "http://git.dev.qianmi.com/retail/qianmi-rnapp-updater.git"}
  s.source_files    = "ios/*.{h,m}"
  s.preserve_paths  = "**/*.js"
  s.dependency 'React'
end
